# BEGIN SourceDeps(oneline):
BuildRequires: boost-locale-devel gcc-c++ libcurl-devel libncurses-devel libncursesw-devel libtag-devel pkgconfig(fftw3) pkgconfig(icu-uc)
# END SourceDeps(oneline)
Name:           ncmpcpp
Version:        0.7.3
Release:        alt1_3
Summary:        Featureful ncurses based MPD client inspired by ncmpc
Group:          Sound
License:        GPLv2+
URL:            http://ncmpcpp.rybczak.net/
Source0:        http://ncmpcpp.rybczak.net/stable/%{name}-%{version}.tar.bz2

BuildRequires:  curl-devel
BuildRequires:  taglib-devel
BuildRequires:  ncurses-devel
BuildRequires:  libmpdclient-devel
BuildRequires: boost-devel boost-devel-headers boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:  readline-devel
BuildRequires:  autoconf automake libtool
Source44: import.info


%description
A featureful ncurses based MPD client inspired by ncmpc. The main features are:

- tag editor
- playlist editor
- easy to use search engine
- media library
- music visualizer
- ability to fetch artist info from last.fm
- new display mode
- alternative user interface
- ability to browse and add files from outside of MPD music directory

.. and a lot more minor functions.

%prep
%setup -q


%build
BOOST_LIB_SUFFIX=""; export BOOST_LIB_SUFFIX ;
%configure --disable-static --enable-clock --with-taglib --with-curl --enable-visualizer  --enable-outputs
make %{?_smp_mflags}


%install
make DESTDIR="%{buildroot}" INSTALL="install -p" docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}} install


%files
%doc doc/config doc/bindings AUTHORS NEWS COPYING
%{_bindir}/ncmpcpp
%{_mandir}/man1/%{name}*


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_3
- update to new release by fcimport

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.7-alt1_1
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 0.5.10-alt2_7
- rebuild to get rid of unmets

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.10-alt1_7
- update to new release by fcimport

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.10-alt1_6
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.10-alt1_3
- initial fc import

